%global     snap_date       20111122
%global     svn_revision    540
%global     alphatag        %{snap_date}svn%{svn_revision}

# The source for this package was pulled from upstream's subversion (svn).
# Use the following commands to generate the tarball (expand the macros):
# svn export -r %%{svn_revision} http://vmmlib.svn.sourceforge.net/svnroot/vmmlib/trunk vmmlib-%%{alphatag}
# tar -cJvf vmmlib-%%{alphatag}.tar.xz vmmlib-%%{alphatag}

Name:          vmmlib
Version:       0
Release:       0.2.%{alphatag}%{?dist}
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/Libraries
License:       BSD
URL:           http://vmmlib.sourceforge.net/
Source0:       %{name}-%{alphatag}.tar.xz
# Fix for broken test-suite, tests that still fail have been disabled until
# there will be better fix
Patch0:        vmmlib-test-fix.patch
BuildArch:     noarch
BuildRequires: atlas-devel lapack-devel f2c glibc-headers

%description
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%package devel
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/Libraries

%description devel
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%prep
%setup -q -n %{name}-%{alphatag}
%patch0 -p1 -b .test-fix

%build
make %{?_smp_mflags}

%install
install -m 755 -d %{buildroot}%{_includedir}/vmmlib
install -p -m 644 -t %{buildroot}%{_includedir}/vmmlib include/vmmlib/*.hpp
mkdir _tmpdoc
mv include/vmmlib/{LICENSE,ACKNOWLEDGEMENTS} _tmpdoc/

%check
./vmmlib_unit_tests

%files devel
%doc README _tmpdoc/*
%{_includedir}/vmmlib

%changelog
* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20111122svn540
- Fixed unit test on 64 bit

* Tue Nov 22 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20111122svn540
- Initial release
